<div>
    <h2 id="page-heading">
        <span jhiTranslate="locadoraApp.diretor.home.title">Diretors</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-diretor" [routerLink]="['/diretor/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="locadoraApp.diretor.home.createLabel">
            Create new Diretor
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="diretors">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="nome"><span jhiTranslate="locadoraApp.diretor.nome">Nome</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="observacao"><span jhiTranslate="locadoraApp.diretor.observacao">Observacao</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let diretor of diretors ;trackBy: trackId">
                <td><a [routerLink]="['/diretor', diretor.id, 'view' ]">{{diretor.id}}</a></td>
                <td>{{diretor.nome}}</td>
                <td>{{diretor.observacao}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/diretor', diretor.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/diretor', diretor.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'diretor', { outlets: { popup: diretor.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- Pager is not implemented yet, so this is normal pagination instead -->
    <div *ngIf="diretors && diretors.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
